QueryConfigService.MethodAuthorizer.Parameter (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.query.management.configuration, class: QueryConfigService, class: MethodAuthorizer, class: Parameter

Package org.apache.geode.cache.query.management.configuration

# Class QueryConfigService.MethodAuthorizer.Parameter

java.lang.Object
org.apache.geode.cache.query.management.configuration.QueryConfigService.MethodAuthorizer.Parameter

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  QueryConfigService.MethodAuthorizer

public static class QueryConfigService.MethodAuthorizer.Parameter extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="parameter-value" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `parameterValue`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Parameter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getParameterValue()`
  Gets the value of the parameter-value property.
  `void`
  `setParameterValue(String value)`
  Sets the value of the parameter-value property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### parameterValue

    protected String parameterValue

- ## Constructor Details

  - ### Parameter

    public Parameter()

- ## Method Details

  - ### getParameterValue

    public String getParameterValue()
    Gets the value of the parameter-value property. possible object is `String`
    Returns:
      the value of the parameter-value property

  - ### setParameterValue

    public void setParameterValue(String value)
    Sets the value of the parameter-value property. allowed object is `String`
    Parameters:
      `value` - the value of the parameter-value property